using UnityEngine;
using System;
using System.Collections.Generic;

public class NobilityHigh01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "I speak today not only for myself, but in the name of all the noble members of Tanglewood county. A criminal which calls himself the hero of the people has been stealing from our caravans and distributing our goods amongst the poor. We need your help to get rid of this threat.";
    }

    protected override string GetSender()
    {
        return "Count Randolf";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Nobility;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.High;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Hang him", 
                new ResponseLetter
                (
                    "My gratitude for getting rid of that pesky archer. He disappeared after his hands were cut off. The nobles of Tanglewood will stand by you whenever you need.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.Nobility, +0.2f}, { Attributes.People, -0.2f} }
                )
            ),
            new Choice
            (
                "Cut his hands off", 
                new ResponseLetter
                (
                    "A nice try, Your Highness, but killing the archer ended up turning him into a martyr for the people, who are now atacking us even worse than he used to.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.People, -0.2f} }
                )
            ),
            new Choice
            (
                "Hire him to your personal army", 
                new ResponseLetter
                (
                    "You are now allied with that criminal? I'm sorry, my liege, but you won't have our support as long as you have that archer within your ranks.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Warpower, +0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Nobility, -0.2f } }
                )
            )
        };
    }
}